Implementation of the 'items' markup element. An ol or ul HTML element is created depending if the items of the item section requires ordering. The attribute id of the markup is applied and the class lto-items is added to allow CSS manipulations.

see

  IRenderable

see

  IStackeable

see

  Item

### Hierarchy

- Items

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Items(spec: ISpecification): Items

- - Defined in lib/renderable/items/index.ts:18

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Items

## Properties

### spec

spec: ISpecification

- Defined in lib/renderable/items/index.ts:18

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/items/index.ts:27

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc